class TaskController < ApplicationController
  before_filter :check_session

  def new
    @task = Task.new
  end

  def create
    @task = Task.new
    t = params[:task]
    @task.number = t[:number]
    @task.url = t[:url]
    deadline = DateTime.civil(t[:year].to_i, t[:month].to_i,
        t[:day].to_i, t[:hour].to_i, t[:minute].to_i)
    @task.deadline=deadline
    if @perm
      @task.save
    end
    redirect_to :action=>"index"
  end
  
  #def show
    #@task2 = Task.new :url=>'https://twiki.db.bme.hu/twiki'+
    #     '/bin/view/Student/Ruby/RubyElsoFeladat20111', 
    #     :deadline=>DateTime.parse('2011-02-28 23:59'),
    #     :number=>1
    #@task1 = Task.new :url=>'https://twiki.db.bme.hu/twiki'+
    #     '/bin/view/Student/Ruby/RubyMasodikFeladat20111', 
    #     :deadline=>DateTime.parse('2011-03-14 23:59'),
    #     :number=>2
    #@tasks = [@task1, @task2]
    #@tasks = Task.find_by_number params[:id]
  #end
  
  def index
    @tasks = Task.find :all
  end

  def edit
    #@task = Task.new :url=>'https://twiki.db.bme.hu/twiki'+
    #     '/bin/view/Student/Ruby/RubyElsoFeladat20111', 
    #     :deadline=>DateTime.parse('2011-02-28 23:59'),
    #     :number=>1
    @task = Task.find_by_number params[:id]
  end

  def update
    t = params[:task]
    @task = Task.find_by_number t[:number]
    @task.number = t[:number]
    @task.url = t[:url]
    deadline = DateTime.civil(t[:year].to_i, t[:month].to_i,
        t[:day].to_i, t[:hour].to_i, t[:minute].to_i)
    @task.deadline=deadline
    if @perm
      @task.save
    end
    redirect_to :action=>"index"
  end
  
  def delete
  end
  
  def destroy
    @task = Task.find_by_number params[:id]
    if @task
      @task.destroy
    end
    redirect_to :action=>"index"
  end
  
  private
  def check_session
    @user = User.find session[:user]
    @perm = session[:user] && !@user.student
  end
end
