#Encoding: UTF-8
require 'test_helper'

class CorrectATaskTest < ActionDispatch::IntegrationTest
  fixtures :all

  # Replace this with your real tests.
  #test "the truth" do
#    assert true
  #end
  test "correct a task" do
    get url_for(:controller=>"sessions", :action=>"new")
    assert_response :success
    assert_select "h1", "Bejelentkezés"
    post_via_redirect '/sessions/create', :neptun=>'oweyoa', :password=>'haho'
    assert_equal users(:me).id, session[:user]
    assert_select "h2", users(:me).neptun
    get url_for(:controller=>"task", :action=>"index")
    assert_select "table" do
      assert_select "tr", 1..6
    end
    get '/task'
    assert_select "td", "Javít"
    get '/solutions/show?task_id='+tasks(:first).number.to_s
    assert_select "h3", "1. feladat"
    assert_select "a", "aaaaaa  által beadott 1. feladat"
    get url_for(:controller=>"solutions",:action=>"edit", :task_id=>tasks(:first).id, :user_id=>users(:student).id)
    assert_response :success
    print solutions(:egy).id.to_s
    post_via_redirect '/solutions/update/'+solutions(:egy).id.to_s, {:solution => {:late=>0, :accepted=>1, :comment=>"OK"}}
    assert_select "li", 0
  end
end
