# Encoding: UTF-8
class SessionsController < ApplicationController
  def new
  end

  def create
    @current_user = User.authenticate(params[:neptun], params[:password])
    if @current_user
      session[:user]=@current_user.id
      redirect_to  :controller=>"users", :action => "show", :id=>@current_user.id
    else
      flash[:notice]="Hibás NEPTUN kód vagy jelszó"
      render :action => "new"
    end
  end
  
  def destroy
    #@current_user = User.find session[:user]
    reset_session
    flash[:notice] = "Sikeres kijelentkezés"
    redirect_to :action => "new"
  end
end
